### Constructor

# Gtk PrintSettings new_from_gvariant

#### Declaration [src]

    GtkPrintSettings*
    gtk_print_settings_new_from_gvariant (
      GVariant* variant
    )

#### Description [src]

Deserialize print settings from an a{sv} variant.

The variant must be in the format produced by `gtk_print_settings_to_gvariant()`.

#### Parameters

`variant`

  Type: `GVariant`

  An a{sv} `GVariant`

  The data is owned by the caller of the function.

#### Return value

Type: `GtkPrintSettings`

A new `GtkPrintSettings` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.